/* 
 *  Copyright (C) 2006 Dip. Ing. dell'Informazione, University of Pisa, Italy
 *  http://info.iet.unipi.it/~cng/ns2measure/ns2measure.html
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA, USA
 */

/**
   project: measure
   filename: test_stat.cc
	author: C. Cicconetti <c.cicconetti@iet.unipi.it>
	year: 2006
   affiliation:
      Dipartimento di Ingegneria dell'Informazione
	   University of Pisa, Italy
   description:
		test program for the Stat class
*/

#include <config.h>
#include <stat.h>

#include <cstdlib>
#include <iostream>
#include <vector>

using namespace std;

const double population[] = {
	1.0,
	2.0,
	3.0,
	4.0,
	5.0
};

const double cl[] = {
	0.9, 0.95, 0.975, 0.99
};

int
main (int argc, char* argv[]) {
	bool valid = true;

	vector<sample_t> samples (sizeof(population)/sizeof(double));
	for ( unsigned int i = 0 ; i < sizeof(population)/sizeof(double) ; i++ ) {
		samples[i] = population[i];
		cout << samples[i] << '\n';
	}

	cout << "mean = " << Stat::mean (valid, samples) << " ("
		<< ((valid == true) ? 'V' : 'N') << ")\n";
	
	for ( unsigned int i = 0 ; i < sizeof(cl)/sizeof(double) ; i++ ) {
		cout << "conf(" << cl[i] << ") = "
			<< Stat::confInterval (valid, samples, cl[i]) << " ("
			<< ((valid == true) ? 'V' : 'N') << ")\n";
	}

	exit (0);
}
