/* 
 *  Copyright (C) 2006 Dip. Ing. dell'Informazione, University of Pisa, Italy
 *  http://info.iet.unipi.it/~cng/ns2measure/ns2measure.html
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA, USA
 */

/**
   project: measure
   filename: output.h
	author: C. Cicconetti <c.cicconetti@iet.unipi.it>
	year: 2006
   affiliation:
      Dipartimento di Ingegneria dell'Informazione
	   University of Pisa, Italy
   description:
	   definition of the Output class
*/

#ifndef __MEASURE_OUTPUT_H
#define __MEASURE_OUTPUT_H

#include <config.h>
#include <object.h>
#include <measure.h>
#include <configuration.h>

#include <set>
#include <map>
#include <vector>

#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
#include <cstdlib>

//! Class for writing output files.
class Output : public Object {
	//! Configuration object used to parse input data.
	Configuration& configuration;
	//! Metrics database.
	Metrics& metrics;
public:
	//! Create an empty Output object.
	Output (Configuration& c, Metrics& m) :
		Object ("Output"), configuration(c), metrics(m) { }
	//! Do nothing.
	~Output () { }

	//! Generate output graphs.
	void generate ();
};

#endif // __MEASURE_OUTPUT_H
