#!/usr/bin/perl
#
# converts from the following format:
#   x    y   c
# where c = ( e2 - e1 ) / 2
#
# to the following format:
#    x   y   e1   e2
# where [e1, e2] is the confidence interval
#

print "Usage: col3to4.pl files...\n" and exit if $#ARGV < 0;

for my $i ( 0 .. $#ARGV ) {
	open INFILE, "<", $ARGV[$i]
		or die "Could not open $ARGV[$i] for reading: $!";

	my $modified = 0;
	my @x = ();
	my @y = ();
	my @err = ();
	while ( <INFILE> ) {
		chomp;
		my @line = split;

		next if $#line != 2;

		# we assume X, Y, err_bottom, err_top
		$modified = 1;
		push @x, $line[0];
		push @y, $line[1];
		push @err1, $line[1] - $line[2];
		push @err2, $line[1] + $line[2];
	}

	close INFILE;

	next if ! $modified;

	open OUTFILE, ">", $ARGV[$i]
		or die "Could not open $ARGV[$i] for writing: $!";

	for my $j ( 0 .. $#x ) {
		print OUTFILE "$x[$j] $y[$j] $err1[$j] $err2[$j]\n";
	}

	print "$ARGV[$i]\n";

	close OUTFILE;
}
